FROM ubuntu:14.04

ENV CUDA_RUN_FILE cuda_7.5.18_linux.run
ENV NVIDIA_DRIVER_FILE NVIDIA-Linux-x86_64-352.63.run

RUN mkdir /nvidia
ADD . /nvidia/
RUN apt-get update && apt-get install -q -y wget build-essential 

RUN chmod +x /nvidia/${NVIDIA_DRIVER_FILE}
RUN /nvidia/${NVIDIA_DRIVER_FILE} -s -N --no-kernel-module
RUN rm /nvidia/${NVIDIA_DRIVER_FILE}

RUN chmod +x /nvidia/${CUDA_RUN_FILE}
RUN /nvidia/${CUDA_RUN_FILE} --toolkit --silent
RUN rm /nvidia/${CUDA_RUN_FILE} 


RUN apt-get install -y software-properties-common usbutils

RUN add-apt-repository ppa:mc3man/trusty-media
RUN apt-get update
RUN apt-get install -y gstreamer1.0-alsa gstreamer1.0-libav gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-tools x264 libx264-dev
RUN apt-get install -y libxinerama1 libxi6 libxrandr2 libxcursor1 libxcomposite1
RUN apt-get install -y  libX11-dev libxrandr-dev libxi-dev libXinerama-dev libXcursor-dev libXcomposite-dev
RUN apt-get install -y libXdamage-dev libxxf86vm1 libxxf86vm-dev
RUN apt-get install -y libxext-dev libxrender-dev libxtst-dev
RUN apt-get install -y gstreamer1.0-plugins-bad-videoparsers 
RUN apt-get install -y ffmpeg alsa-base alsa-utils pulseaudio
RUN mkdir pelars
RUN echo export LD_LIBRARY_PATH=/pelars/lib:/usr/local/cuda/lib64:/pelars/bin/lib >> ~/.bashrc
RUN echo export PATH=/usr/local/cuda/bin:$PATH

